This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 706620 - Can't save any configuration without dconf installed, but doesn't depend on it
Can't save any configuration without dconf installed, but doesn't depend on it
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
23
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
: 850895 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-21 12:29 EDT by Adam Williamson
Modified: 2015-07-15 11:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 850895 (view as bug list)
Environment:
Last Closed: 2012-08-07 14:23:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2011-05-21 12:29:16 EDT
See this forum thread:

http://forums.fedoraforum.org/showthread.php?p=1473234

the user complained of not being able to save any config changes in gedit. I took an educated guess that the problem was dconf not being installed, and this indeed seems to be the issue: gedit has no dependency on dconf, so if you install a desktop other than GNOME and then add gedit to it, it can't save any preferences. It should probably grow a dependency.
Comment 1 Fedora End Of Life 2012-08-07 14:23:33 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Adam Williamson 2012-08-22 19:58:03 EDT
This is still valid in all supported releases (16, 17, 18, Rawhide). Ray, could you please spare five seconds? It's a one-liner if you believe the dep should be enforced, I just don't want to do it myself in case there's some other exotic use case I haven't considered.
Comment 3 Adam Williamson 2012-08-22 19:58:14 EDT
*** Bug 850895 has been marked as a duplicate of this bug. ***
Comment 4 Fedora End Of Life 2013-07-04 02:30:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Adam Williamson 2013-07-04 02:46:14 EDT
Bumping to Rawhide per comment #2.
Comment 6 Jan Kurik 2015-07-15 11:16:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.